/***************************************************************************
                          i8ksensorslist.h  -  description
                             -------------------
    begin                : jue jun 20 2002
    Copyright	Giuseppe Della Bianca<giusdbg@gmail.com>

    original author	 : Miguel Novas
    email                : migueln@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef I8KSENSORSLIST_H
#define I8KSENSORSLIST_H

#include <sensordev.h>

/**
  *@original author Miguel Novas
  */

class I8KSensorsList : public SensorDev
{
Q_OBJECT
public:

  I8KSensorsList( SensorDevsList *sensorDevsList, const QString &name );
  ~I8KSensorsList();


  static bool I8KAvailable();

public Q_SLOTS:

  void updateSensors ( bool enabUpdate ) override;

private:

  bool i8kAvail;
  bool acpiAvail;

  Sensor *cpuTempAcpi;
  Sensor *cpuTemp;
  Sensor *leftFan;
  Sensor *rightFan;

  static int AcpiAvailable();
  static int I8KOnlyAvailable();
};

#endif
